Ticket #44838

Qt: Unversioned "freeciv-qt-client" settings

Open Date: 2022-06-15 12:29 Last Update: 2022-06-23 00:04

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Qt-client seems to handle settings past-client-common-options mechanisms in fc_client::read_settings(). That uses QSettings named "freeciv-qt-client". This setup has the same problems as the shortcuts stuff.

The minimum I would want to S3_1 is have versioning for the QSettings the way we have for shortcuts: https://www.hostedredmine.com/issues/856551
That would allow us to have its content in S3_1 different from what we had in S3_0 -> dependency of #44391 and #44864

Ticket History (3/5 Histories)

2022-06-15 12:29 Updated by: cazfi
  • New Ticket "Qt: Unversioned "freeciv-qt-client" settings" created
2022-06-19 14:25 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-06-21 04:41 Updated by: cazfi
  • Details Updated
2022-06-23 00:04 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login